Properties Methods Events Direct Link

    Toolbar.Item
      Toolbar.Separator

# Class Ext.Toolbar.Separator

Package: | Ext
Defined In: | Toolbar.js
Class: | Toolbar.Separator
Extends: | Toolbar.Item

A simple class that adds a vertical separator bar between toolbar items. Example usage:

    new Ext.Panel({
    	tbar : [
    		'Item 1',
    		{xtype: 'tbseparator'}, // or '-'
    		'Item 2'
    	]
    });

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

Toolbar.Separator()
Creates a new Separator
Creates a new Separator
Parameters:

- None.

Returns:

- ``

Toolbar.Separator

destroy() : void
Removes and destroys this item.
Removes and destroys this item.
Parameters:

- None.

Returns:

- `void`

Toolbar.Item

disable() : void
Disables this item.
Disables this item.
Parameters:

- None.

Returns:

- `void`

Toolbar.Item

enable() : void
Enables this item.
Enables this item.
Parameters:

- None.

Returns:

- `void`

Toolbar.Item

focus() : void
Try to focus this item
Try to focus this item
Parameters:

- None.

Returns:

- `void`

Toolbar.Item

getEl() : HTMLElement
Get this item's HTML Element
Get this item's HTML Element
Parameters:

- None.

Returns:

- `HTMLElement`

Toolbar.Item

hide() : void
Hides this item.
Hides this item.
Parameters:

- None.

Returns:

- `void`

Toolbar.Item

setVisible( `Boolean visible` ) : void
Convenience function for boolean show/hide.
Convenience function for boolean show/hide.
Parameters:

- `visible` : Boolean
  true to show/false to hide

Returns:

- `void`

Toolbar.Item

show() : void
Shows this item.
Shows this item.
Parameters:

- None.

Returns:

- `void`

Toolbar.Item

## Public Events

This class has no public events.